<?php
// настройки пользователя


if(isset($_POST['saved']))
{
$err='';
if(!preg_match('#^[a-zа-я0-9-\._]+@[a-zа-я0-9]{2,}\.[a-zа-я]{2,6}$#ui',$_POST['mails']))
{
$err.='Неверный формат Email<br />';
$mails=$user['mails'];
}else{
$mails=trim($_POST['mails']);
}

$tm=intval($_POST['tm']);
if($tm>12 or $tm<-12)$err.="Временной сдвиг указан неверно<br />";

$pstr=abs(intval($_POST['pstr']));
if($pstr==0 or $pstr>25)$err.="Неверно указано количество элементов на страницу!<br />";

  if ($err=='')
  {
    mysql_query("UPDATE `user` SET `mails`='$mails', `tm`='$tm', `pstr`='$pstr' WHERE `id`='$user[id]' LIMIT 1");
    if(mysql_affected_rows()>0)
    {
    mset_msg("Настройки успешно сохранены!");
    }
  }
if ($err) mset_err($err);
header("Location: index.php?l=setup"); exit;
}





$_SESSION['title']="Настройки $user[login]";
heads($headers_page, $set_ob_start);   //подключение шапки
if($user)include_once SYS."/navmenu.php";


// Вывод формы
echo "<form class='c03' action='' method='post'>";
//mails
echo "e-mail, для восстановления пароля<br /><input type='text' name='mails' value='$user[mails]' /><br />";

echo "Время<br />\n<select name='tm'><br />\n";
for ($i=-12;$i<12;$i++){
echo "<option value='$i'".($user['tm']==$i?" selected='selected'":null).">".date("G:i", $s_time+$i*60*60)."</option>\n";}
echo "</select><br />\n";

echo "Элементов на страницу<br /><input type='text' name='pstr' value='$user[pstr]' /><br />";

  
echo "<input type='submit' name='saved' value='сохранить' />";
echo "</form>";
?>
